Bug 18245 - Variuos string errors in packagekit-gnome
Summary: Variuos string errors in packagekit-gnome
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-27 08:33 UTC by Gabor Kelemen
Modified: 2008-12-01 04:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2008-10-27 08:33:15 UTC
Recently I updated my translation and found the folloving problems:

#: ../src/gpk-client.c:603
Unknown error. Please refer to the detailed report and report in bugzilla.

This is not very clear. Which bugzilla should I use?

ngettext needed for these, as their plural form is present in the next line:

#: ../src/gpk-client.c:870
msgid "Do you want to copy this file?"

#: ../src/gpk-client.c:871
Do you want to copy these files?

#: ../src/gpk-client.c:872
One package file has to be copied to a non-private location so it can be installed:

#: ../src/gpk-client.c:948
The file could not be copied

#: ../src/gpk-client.c:982
Do you want to install this file?

#: ../src/gpk-client.c:997
The file was not installed

#: ../src/gpk-client.c:1043
File was not found!

#: ../src/gpk-client.c:1046
The following file was not found:

#: ../src/gpk-client.c:2357
Do you want to install this catalog?


For these strings, ngettext is used, but the english strings don't use plural:
#: ../src/gpk-application.c:707
Packages listed below require %s to function correctly.

#: ../src/gpk-application.c:779
Packages listed below are required for %s to function correctly.


Please add some comment to these, their meaning is not clear:
#: ../src/gpk-application.c:514
%i file installed by %s // what is %s here?

#: ../src/gpk-client.c:2319
Finding package name: %s // is %s a package name or a status message?

#: ../src/gpk-client.c:2321
Finding file name: %s // same as before

#: ../src/gpk-client.c:2323
Finding a package to provide: %s // same as before

#: ../src/gpk-service-pack.c:531
Preselect the option, allowable values are list, updates and package // are these values translatable or the program expects them literally? 

There is some junk left behind by glade in these files:
#: ../data/gpk-service-pack.glade
gtk-help
gtk-close

#: ../data/gpk-log.glade.h:3
gtk-refresh
please remove the translatable  flag from all these. 

These look like an ugly string surgery, don't use that please:
#. translator comment -- string is an action, e.g. "wants to install a codec"
#: ../src/gpk-client.c:1085
A program %s

#: ../src/gpk-client.c:1518
wants to install packages

#: ../src/gpk-client.c:1689
wants to install a file

#: ../src/gpk-client.c:1879
requires additional plugins

#: ../src/gpk-client.c:2076
requires a new mime type

#: ../src/gpk-client.c:2210
wants to install a font

... hm, perhaps there should be a "wants to install a codec" somewhere? :)

Lots of strings use "we", like this:
#: ../src/gpk-client.c:1371
Finding packages we depend on

I'm not sure if there is an explicit ban on this in GNOME HIG, but this just looks stupid, I mean, I was always taught not to translate any activity as "we do something", because either the computer/program does it, or the user, but not together - this is confusing.

The "wtf" category:
#: ../src/gpk-client.c:2107 ../src/gpk-client.c:2241
Failed to search for provides

This "provides" word is not wery clear, who provides what? What were we looking for? Please either clarify or add translator comment.

This part looks terrible, what are all these %s's?:
#: ../src/gpk-common.c:392
%s and %s
... similar messages with groving number of %s's...
#: ../src/gpk-common.c:402
%s, %s, %s, %s and %s

The first sentence makes no much sense:
#: ../src/gpk-enum.c:548
Multiple packages exist that are not compatible with each other.\n
This is usually due to mixing packages from different software sources.

Sure there are, but are they installed on the same system? Or just could be installed from the mixed source? Or they are somewhere in a galaxy far away?
Perhaps:
Multiple installed packages were found that are not compatible with each other.\n
Comment 1 Richard Hughes 2008-11-23 09:31:03 UTC
I've fixed up a lot of those issues -- could you have a look at a new POT and see what's left? Thanks.
Comment 2 Gabor Kelemen 2008-12-01 03:44:40 UTC
Thanks for the cleanup, it's a lot better now :)

The only thing left that bugs me is this:

#. TRANSLATORS: program name, an application to install files that are provided by packages
#: ../src/gpk-install-provide-file.c:64 ../src/gpk-install-provide-file.c:66
msgid "File Provide Installer"

#. TRANSLATORS: application name to pass to to the user if there are not enough privs
#: ../src/gpk-install-provide-file.c:75
msgid "Provide File Installer"

why are these just almost the same, is there any real difference? 

Another problem with these, that I can't imagine the program's functionality just from the name. The comments do help, but only seeing these on the UI, I'd say: WTF? 

Is it just me, or something like "Provided file installer" or "Installer for provided files" would be better here?
Comment 3 Richard Hughes 2008-12-01 04:13:42 UTC
I've changed both strings to "Single File Installer" as that is essentially what the user is expecting. Is that better?
Comment 4 Gabor Kelemen 2008-12-01 04:20:47 UTC
Yeah, a lot, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.